summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2001-12-23 14:25:28 +0000
committerDan Armak <danarmak@gentoo.org>2001-12-23 14:25:28 +0000
commite6c98687f2676014a43d39b86bf6110fb8df98ea (patch)
treeeacc94483c77f2bdd401e533e8f1f3900c8727e8 /eclass/debug.eclass
parentfix LIBDIR problem (diff)
downloadgentoo-2-e6c98687f2676014a43d39b86bf6110fb8df98ea.tar.gz
gentoo-2-e6c98687f2676014a43d39b86bf6110fb8df98ea.tar.bz2
gentoo-2-e6c98687f2676014a43d39b86bf6110fb8df98ea.zip
eclasses v4.9. Implemented full support for multi-qt/kdelibs version selection in depend.eclass.
See edpend.eclass and doc/news.txt for full info. I will now start working on v5 which will support kde3 etc.
Diffstat (limited to 'eclass/debug.eclass')
-rw-r--r--eclass/debug.eclass12
1 files changed, 7 insertions, 5 deletions
diff --git a/eclass/debug.eclass b/eclass/debug.eclass
index 4f66ff3be30e..8c70b3ee776b 100644
--- a/eclass/debug.eclass
+++ b/eclass/debug.eclass
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/debug.eclass,v 1.6 2001/12/22 14:52:29 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/debug.eclass,v 1.7 2001/12/23 14:25:28 danarmak Exp $
# This provides functions for verbose output for debugging
# Note: we check whether these settings are set by "if [ "$FOO" ]; then".
@@ -10,17 +10,19 @@
# redirect output, unset to disable
# use e.g. /dev/stdout.
# todo: add support for logging into a file.
-DEBUG_OUTPUT=""
+# the test here is to enable people to export DEBUG_OUTPUT before running ebuild/emerge
+# so that they won't have to edit debug.eclass anymore
+[ -n "$ECLASS_DEBUG_OUTPUT" ] || ECLASS_DEBUG_OUTPUT=""
# used internally for output
# redirects output wherever's needed
# in the future might use e* from /etc/init.d/functions.sh if i feel like it
debug-print() {
- [ -n "$DEBUG_OUTPUT" ] || return 0
+ [ -n "$ECLASS_DEBUG_OUTPUT" ] || return 0
while [ "$1" ]; do
- echo "debug: $1" > $DEBUG_OUTPUT
+ echo "debug: $1" > $ECLASS_DEBUG_OUTPUT
shift
done
@@ -30,7 +32,7 @@ debug-print() {
debug-print-function() {
- str="now in function $1"
+ str="$1: entering function"
shift
debug-print "$str, parameters: $*"